/*
 * Copyright 2016 University of Chicago
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "globus_gridftp_server_s3_base.h"

/**
 * Returns true if the head of the pending_buffers list is the 
 * current transfer offset
 */
bool
globus_i_s3_recv_is_transfer_offset_ready(
    const globus_i_s3_transfer_t       *transfer_state)
{
    const globus_i_s3_buffer_t         *s3_buffer = transfer_state->pending_buffers;

    return (s3_buffer != NULL) &&
           (s3_buffer->transfer_offset == transfer_state->offset);
}
/* globus_i_s3_recv_is_transfer_offset_ready() */

