/*
 * Copyright 2016 University of Chicago
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "globus_gridftp_server_s3_base.h"

/**
 * @file retry_delay.c
 * Implementation of exponential back-off delay for retries.
 */
void
globus_i_s3_retry_delay(
    unsigned int                        retry_number)
{
    if (retry_number > 0)
    {
        long                            delay;
        delay = (1 << (retry_number-1)) * globus_i_s3_retry_delay_ms * 1000;
        globus_libc_usleep(delay);
    }
}
/* globus_i_s3_retry_delay() */
// vim: ft=c:
